Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.subtask
Class SubTaskDecorator

    java.lang.Object
      org.jbpm.services.task.subtask.SubTaskDecorator

All Implemented Interfaces:
  org.kie.internal.task.api.TaskInstanceService

    @Decorator
    public class SubTaskDecorator

extends Object
implements org.kie.internal.task.api.TaskInstanceService

Constructor Summary
`SubTaskDecorator()`

Method Summary
`void` | `activate(long taskId, String userId)`
`long` | `addTask(org.kie.internal.task.api.model.Task task, org.kie.internal.task.api.model.ContentData data)`
`long` | `addTask(org.kie.internal.task.api.model.Task task, Map<String,Object> params)`
`void` | `claim(long taskId, String userId)`
`void` | `claim(long taskId, String userId, List<String> groupIds)`
`void` | `claimNextAvailable(String userId, List<String> groupIds, String language)`
`void` | `claimNextAvailable(String userId, String language)`
`void` | `complete(long taskId, String userId, Map<String,Object> data)`
`void` | `delegate(long taskId, String userId, String targetUserId)`
`void` | `deleteFault(long taskId, String userId)`
`void` | `deleteOutput(long taskId, String userId)`
`void` | `exit(long taskId, String userId)`
`void` | `fail(long taskId, String userId, Map<String,Object> faultData)`
`void` | `forward(long taskId, String userId, String targetEntityId)`
`List<org.kie.internal.task.api.model.I18NText>` | `getDescriptions(long taskId)`
`Date` | `getExpirationDate(long taskId)`
`int` | `getPriority(long taskId)`
`org.kie.internal.task.api.model.SubTasksStrategy` | `getSubTaskStrategy(long taskId)`
`boolean` | `isSkipable(long taskId)`
`void` | `nominate(long taskId, String userId, List<org.kie.internal.task.api.model.OrganizationalEntity> potentialOwners)`
`void` | `release(long taskId, String userId)`
`void` | `remove(long taskId, String userId)`
`void` | `resume(long taskId, String userId)`
`void` | `setDescriptions(long taskId, List<org.kie.internal.task.api.model.I18NText> descriptions)`
`void` | `setExpirationDate(long taskId, Date date)`
`void` | `setFault(long taskId, String userId, org.kie.internal.task.api.model.FaultData fault)`
`void` | `setInstanceService(org.kie.internal.task.api.TaskInstanceService instanceService)`
`void` | `setOutput(long taskId, String userId, Object outputContentData)`
`void` | `setPm(JbpmServicesPersistenceManager pm)`
`void` | `setPriority(long taskId, int priority)`
`void` | `setQueryService(org.kie.internal.task.api.TaskQueryService queryService)`
`void` | `setSkipable(long taskId, boolean skipable)`
`void` | `setSubTaskStrategy(long taskId, org.kie.internal.task.api.model.SubTasksStrategy strategy)`
`void` | `setTaskNames(long taskId, List<org.kie.internal.task.api.model.I18NText> taskNames)`
`void` | `skip(long taskId, String userId)`
`void` | `start(long taskId, String userId)`
`void` | `stop(long taskId, String userId)`
`void` | `suspend(long taskId, String userId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubTaskDecorator

    public SubTaskDecorator()

Method Detail

### setInstanceService

    public void setInstanceService(org.kie.internal.task.api.TaskInstanceService instanceService)

### setPm

    public void setPm(JbpmServicesPersistenceManager pm)

### setQueryService

    public void setQueryService(org.kie.internal.task.api.TaskQueryService queryService)

### addTask

    public long addTask(org.kie.internal.task.api.model.Task task,
                        Map<String,Object> params)

  Specified by:
    `addTask` in interface `org.kie.internal.task.api.TaskInstanceService`

### addTask

    public long addTask(org.kie.internal.task.api.model.Task task,
                        org.kie.internal.task.api.model.ContentData data)

  Specified by:
    `addTask` in interface `org.kie.internal.task.api.TaskInstanceService`

### activate

    public void activate(long taskId,
                         String userId)

  Specified by:
    `activate` in interface `org.kie.internal.task.api.TaskInstanceService`

### claim

    public void claim(long taskId,
                      String userId)

  Specified by:
    `claim` in interface `org.kie.internal.task.api.TaskInstanceService`

### claim

    public void claim(long taskId,
                      String userId,
                      List<String> groupIds)

  Specified by:
    `claim` in interface `org.kie.internal.task.api.TaskInstanceService`

### claimNextAvailable

    public void claimNextAvailable(String userId,
                                   String language)

  Specified by:
    `claimNextAvailable` in interface `org.kie.internal.task.api.TaskInstanceService`

### claimNextAvailable

    public void claimNextAvailable(String userId,
                                   List<String> groupIds,
                                   String language)

  Specified by:
    `claimNextAvailable` in interface `org.kie.internal.task.api.TaskInstanceService`

### complete

    public void complete(long taskId,
                         String userId,
                         Map<String,Object> data)

  Specified by:
    `complete` in interface `org.kie.internal.task.api.TaskInstanceService`

### delegate

    public void delegate(long taskId,
                         String userId,
                         String targetUserId)

  Specified by:
    `delegate` in interface `org.kie.internal.task.api.TaskInstanceService`

### deleteFault

    public void deleteFault(long taskId,
                            String userId)

  Specified by:
    `deleteFault` in interface `org.kie.internal.task.api.TaskInstanceService`

### deleteOutput

    public void deleteOutput(long taskId,
                             String userId)

  Specified by:
    `deleteOutput` in interface `org.kie.internal.task.api.TaskInstanceService`

### exit

    public void exit(long taskId,
                     String userId)

  Specified by:
    `exit` in interface `org.kie.internal.task.api.TaskInstanceService`

### fail

    public void fail(long taskId,
                     String userId,
                     Map<String,Object> faultData)

  Specified by:
    `fail` in interface `org.kie.internal.task.api.TaskInstanceService`

### forward

    public void forward(long taskId,
                        String userId,
                        String targetEntityId)

  Specified by:
    `forward` in interface `org.kie.internal.task.api.TaskInstanceService`

### release

    public void release(long taskId,
                        String userId)

  Specified by:
    `release` in interface `org.kie.internal.task.api.TaskInstanceService`

### remove

    public void remove(long taskId,
                       String userId)

  Specified by:
    `remove` in interface `org.kie.internal.task.api.TaskInstanceService`

### resume

    public void resume(long taskId,
                       String userId)

  Specified by:
    `resume` in interface `org.kie.internal.task.api.TaskInstanceService`

### setFault

    public void setFault(long taskId,
                         String userId,
                         org.kie.internal.task.api.model.FaultData fault)

  Specified by:
    `setFault` in interface `org.kie.internal.task.api.TaskInstanceService`

### setOutput

    public void setOutput(long taskId,
                          String userId,
                          Object outputContentData)

  Specified by:
    `setOutput` in interface `org.kie.internal.task.api.TaskInstanceService`

### setPriority

    public void setPriority(long taskId,
                            int priority)

  Specified by:
    `setPriority` in interface `org.kie.internal.task.api.TaskInstanceService`

### skip

    public void skip(long taskId,
                     String userId)

  Specified by:
    `skip` in interface `org.kie.internal.task.api.TaskInstanceService`

### start

    public void start(long taskId,
                      String userId)

  Specified by:
    `start` in interface `org.kie.internal.task.api.TaskInstanceService`

### stop

    public void stop(long taskId,
                     String userId)

  Specified by:
    `stop` in interface `org.kie.internal.task.api.TaskInstanceService`

### suspend

    public void suspend(long taskId,
                        String userId)

  Specified by:
    `suspend` in interface `org.kie.internal.task.api.TaskInstanceService`

### nominate

    public void nominate(long taskId,
                         String userId,
                         List<org.kie.internal.task.api.model.OrganizationalEntity> potentialOwners)

  Specified by:
    `nominate` in interface `org.kie.internal.task.api.TaskInstanceService`

### setExpirationDate

    public void setExpirationDate(long taskId,
                                  Date date)

  Specified by:
    `setExpirationDate` in interface `org.kie.internal.task.api.TaskInstanceService`

### setDescriptions

    public void setDescriptions(long taskId,
                                List<org.kie.internal.task.api.model.I18NText> descriptions)

  Specified by:
    `setDescriptions` in interface `org.kie.internal.task.api.TaskInstanceService`

### setSkipable

    public void setSkipable(long taskId,
                            boolean skipable)

  Specified by:
    `setSkipable` in interface `org.kie.internal.task.api.TaskInstanceService`

### setSubTaskStrategy

    public void setSubTaskStrategy(long taskId,
                                   org.kie.internal.task.api.model.SubTasksStrategy strategy)

  Specified by:
    `setSubTaskStrategy` in interface `org.kie.internal.task.api.TaskInstanceService`

### getPriority

    public int getPriority(long taskId)

  Specified by:
    `getPriority` in interface `org.kie.internal.task.api.TaskInstanceService`

### getExpirationDate

    public Date getExpirationDate(long taskId)

  Specified by:
    `getExpirationDate` in interface `org.kie.internal.task.api.TaskInstanceService`

### getDescriptions

    public List<org.kie.internal.task.api.model.I18NText> getDescriptions(long taskId)

  Specified by:
    `getDescriptions` in interface `org.kie.internal.task.api.TaskInstanceService`

### isSkipable

    public boolean isSkipable(long taskId)

  Specified by:
    `isSkipable` in interface `org.kie.internal.task.api.TaskInstanceService`

### getSubTaskStrategy

    public org.kie.internal.task.api.model.SubTasksStrategy getSubTaskStrategy(long taskId)

  Specified by:
    `getSubTaskStrategy` in interface `org.kie.internal.task.api.TaskInstanceService`

### setTaskNames

    public void setTaskNames(long taskId,
                             List<org.kie.internal.task.api.model.I18NText> taskNames)

  Specified by:
    `setTaskNames` in interface `org.kie.internal.task.api.TaskInstanceService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.